--------------------------------------------------------------------------------
-- bug none -- podpora externích aplikací
--------------------------------------------------------------------------------

CREATE SEQUENCE seq_csexternalapp
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;

create table csexternalapp (
    idexternalapp integer default nextval('seq_csexternalapp'::regclass) not null primary key,
    idcsfirma integer not null,
    kod character varying(30) not null,
    jmeno character varying(255),
    url character varying(255) not null,
    enabled boolean default true not null,
    constraint csexternalapp_kod_idcsfirma unique (idcsfirma, kod)
);

ALTER TABLE ONLY csexternalapp
    ADD CONSTRAINT csexternalapp_idcsfirma FOREIGN KEY (idcsfirma) REFERENCES csfirma (idcsfirma);

insert into dbversion(iddbversion, dbversion, needreimport)
    values (nextval('seq_dbversion'), 13, 't');
