-----------------------------------------------------------------------------------------
-- Bug 45436 - Rozšířit datový model pro atributy pro použití na dalších evidencích (doklady)
-----------------------------------------------------------------------------------------

ALTER TABLE catribut ALTER COLUMN idcenik DROP NOT NULL;
ALTER TABLE catribut ADD COLUMN iddoklobch integer;
ALTER TABLE catribut ADD COLUMN iddoklfak integer;
ALTER TABLE catribut ADD COLUMN iddoklsklad integer;
ALTER TABLE catribut ADD COLUMN iddoklint integer;

ALTER TABLE cTypAtribut ADD COLUMN beankeysa text;
ALTER TABLE cTypAtribut ADD COLUMN standard boolean not null default false;
ALTER TABLE cTypAtribut ADD COLUMN uuid character varying(50);

ALTER TABLE cTypZbozi ADD COLUMN beankeysa text;
ALTER TABLE cTypZbozi ADD COLUMN standard boolean not null default false;
ALTER TABLE cTypZbozi ADD COLUMN uuid character varying(50);

ALTER TABLE catribut ADD CONSTRAINT catribut_iddoklobch FOREIGN KEY (iddoklobch)
    REFERENCES ddoklobch (iddoklobch)
    ON UPDATE NO ACTION ON DELETE CASCADE;
ALTER TABLE catribut ADD CONSTRAINT catribut_iddoklfak FOREIGN KEY (iddoklfak)
    REFERENCES ddoklfak (iddoklfak)
    ON UPDATE NO ACTION ON DELETE CASCADE;
ALTER TABLE catribut ADD CONSTRAINT catribut_iddoklsklad FOREIGN KEY (iddoklsklad)
    REFERENCES ddoklsklad (iddoklsklad)
    ON UPDATE NO ACTION ON DELETE CASCADE;
ALTER TABLE catribut ADD CONSTRAINT catribut_iddoklint FOREIGN KEY (iddoklint)
    REFERENCES ddoklint (iddoklint)
    ON UPDATE NO ACTION ON DELETE CASCADE;
    
-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 1011, 't', %appVersion%, clock_timestamp());