----------------------------------------------------------------
-- Bug 16717 – [WinStrom] Pridat zobrazeni kusovniku na cenik
----------------------------------------------------------------

-- polozka kusovniku
create sequence seq_ckusovnik
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;
ALTER TABLE public.seq_ckusovnik OWNER TO %firmaRole%;

CREATE TABLE ckusovnik (
    idKusovnik integer DEFAULT nextval('seq_ckusovnik'::regclass) NOT NULL,
    lastupdate timestamp without time zone DEFAULT '2008-01-01 00:00:00'::timestamp without time zone NOT NULL,
    nazev character varying(255),
    nazeva character varying(255),
    nazevb character varying(255),
    nazevc character varying(255),
    mnoz numeric(19,6) DEFAULT 0.0 NOT NULL,
    hladina integer NOT NULL DEFAULT 0,
    poradi integer NOT NULL DEFAULT 0,
    cesta character varying(255) NOT NULL,
    idoteccenik integer,
    idcenik integer,
    idotec integer,
    CONSTRAINT ckusovnik_pkey PRIMARY KEY (idKusovnik),
    CONSTRAINT ckusovnik_idoteccenik FOREIGN KEY (idoteccenik)
      REFERENCES ccenik(idcenik) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
    CONSTRAINT ckusovnik_idcenik FOREIGN KEY (idcenik)
      REFERENCES ccenik(idcenik) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
    CONSTRAINT ckusovnik_idotec FOREIGN KEY (idotec)
      REFERENCES ckusovnik (idKusovnik) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);
ALTER TABLE ckusovnik OWNER TO %firmaRole%;

CREATE INDEX ckusovnik_idoteccenik_index ON ckusovnik USING btree (idoteccenik);
CREATE INDEX ckusovnik_idcenik_index ON ckusovnik USING btree (idcenik);
CREATE INDEX ckusovnik_idotec_index ON ckusovnik USING btree (idotec);

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 181, 't');