-- Function: svyrobnicisloinsertupdatezavyrobneno()

-- DROP FUNCTION svyrobnicisloinsertupdatezavyrobneno();

CREATE OR REPLACE FUNCTION svyrobnicisloinsertupdatezavyrobneno()
  RETURNS trigger AS
$BODY$ 
declare 
  _pocetVyrCisel integer; 
  _mnozMj numeric(19,6); 
  _vyrobniCislaOK boolean; 
  _oldId integer;
  _newId integer;
begin 
  -- prijemka 
  if(tg_op = 'INSERT') then
    _oldId = null;
    _newId = NEW.idPolSkladPrijem;
  else
    _oldId = OLD.idPolSkladPrijem;
    _newId = NEW.idPolSkladPrijem;
  end if;
  if(_newId is not null and _oldId is null) or (_newId <> _oldId) then 
    select count(*) into _pocetVyrCisel from svyrobniCislo where idPolSkladPrijem = _newId; 
    select vyrobniCislaOK, mnozMj into _vyrobniCislaOK, _mnozMj from dPolSklad where idPolSklad = _newId; 
    if(_pocetVyrCisel <> _mnozMj and _vyrobniCislaOK = true) then 
      update dPolSklad set VyrobniCislaOk = false where idPolSklad = _newId; 
    end if; 
    if(_pocetVyrCisel = _mnozMj and _vyrobniCislaOK = false) then 
      update dPolSklad set VyrobniCIslaOK = true where idPolSklad = _newId; 
    end if; 
  end if; 
  -- vydejka 
  if(tg_op = 'INSERT') then
    _oldId = null;
    _newId = NEW.idPolSkladVydej;
  else
    _oldId = OLD.idPolSkladVydej;
    _newId = NEW.idPolSkladVydej;
  end if;
  if(_newId is not null and _oldId is null) or (_newId <> _oldId) then 
    select count(*) into _pocetVyrCisel from svyrobniCislo where idPolSkladVydej = _newId; 
    select vyrobniCislaOK, mnozMj into _vyrobniCislaOK, _mnozMj from dPolSklad where idPolSklad = _newId; 
    if(_pocetVyrCisel <> _mnozMj and _vyrobniCislaOK = true) then 
      update dPolSklad set VyrobniCislaOk = false where idPolSklad = _newId; 
    end if; 
    if(_pocetVyrCisel = _mnozMj and _vyrobniCislaOK = false) then 
      update dPolSklad set VyrobniCIslaOK = true where idPolSklad = _newId; 
    end if; 
  end if; 
 
  -- prijata faktura 
  if(tg_op = 'INSERT') then
    _oldId = null;
    _newId = NEW.idPolFakPrijem;
  else
    _oldId = OLD.idPolFakPrijem;
    _newId = NEW.idPolFakPrijem;
  end if;
  if(_newId is not null and _oldId is null) or (_newId <> _oldId) then 
    select count(*) into _pocetVyrCisel from svyrobniCislo where idPolFakPrijem = _newId; 
    select vyrobniCislaOK, mnozMj into _vyrobniCislaOK, _mnozMj from dPolFak where idPolFak = _newId; 
    if(_pocetVyrCisel <> _mnozMj and _vyrobniCislaOK = true) then 
      update dPolFak set VyrobniCislaOk = false where idPolFak = _newId; 
    end if; 
    if(_pocetVyrCisel = _mnozMj and _vyrobniCislaOK = false) then 
      update dPolFak set VyrobniCislaOK = true where idPolFak = _newId; 
    end if; 
  end if; 
  -- vydana faktura 
  if(tg_op = 'INSERT') then
    _oldId = null;
    _newId = NEW.idPolFakVydej;
  else
    _oldId = OLD.idPolFakVydej;
    _newId = NEW.idPolFakVydej;
  end if;
  if(_newId is not null and _oldId is null) or (_newId <> _oldId) then 
    select count(*) into _pocetVyrCisel from svyrobniCislo where idPolFakVydej = _newId; 
    select vyrobniCislaOK, mnozMj into _vyrobniCislaOK, _mnozMj from dPolFak where idPolFak = _newId; 
    if(_pocetVyrCisel <> _mnozMj and _vyrobniCislaOK = true) then 
      update dPolFak set VyrobniCislaOk = false where idPolFak = _newId; 
    end if; 
    if(_pocetVyrCisel = _mnozMj and _vyrobniCislaOK = false) then 
      update dPolFak set VyrobniCislaOK = true where idPolFak = _newId; 
    end if; 
  end if; 
 
  -- vydajovy pokladni doklad 
  if(tg_op = 'INSERT') then
    _oldId = null;
    _newId = NEW.idPolIntPrijem;
  else
    _oldId = OLD.idPolIntPrijem;
    _newId = NEW.idPolIntPrijem;
  end if;
  if(_newId is not null and _oldId is null) or (_newId <> _oldId) then 
    select count(*) into _pocetVyrCisel from svyrobniCislo where idPolIntPrijem = _newId; 
    select vyrobniCislaOK, mnozMj into _vyrobniCislaOK, _mnozMj from dPolInt where idPolInt = _newId; 
    if(_pocetVyrCisel <> _mnozMj and _vyrobniCislaOK = true) then 
      update dPolInt set VyrobniCislaOk = false where idPolInt = _newId; 
    end if; 
    if(_pocetVyrCisel = _mnozMj and _vyrobniCislaOK = false) then 
      update dPolInt set VyrobniCislaOK = true where idPolInt = _newId; 
    end if; 
  end if; 
  -- prijmovy pokladni doklad 
  if(tg_op = 'INSERT') then
    _oldId = null;
    _newId = NEW.idPolIntVydej;
  else
    _oldId = OLD.idPolIntVydej;
    _newId = NEW.idPolIntVydej;
  end if;
  if(_newId is not null and _oldId is null) or (_newId <> _oldId) then 
    select count(*) into _pocetVyrCisel from svyrobniCislo where idPolIntVydej = _newId; 
    select vyrobniCislaOK, mnozMj into _vyrobniCislaOK, _mnozMj from dPolInt where idPolInt = _newId; 
    if(_pocetVyrCisel <> _mnozMj and _vyrobniCislaOK = true) then 
      update dPolInt set VyrobniCislaOk = false where idPolInt = _newId; 
    end if; 
    if(_pocetVyrCisel = _mnozMj and _vyrobniCislaOK = false) then 
      update dPolInt set VyrobniCislaOK = true where idPolInt = _newId; 
    end if; 
  end if; 
  RETURN NEW; 
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION svyrobnicisloinsertupdatezavyrobneno() OWNER TO %firmaRole%;

-- zvyseni cisla verze db
insert into dbversion(iddbversion, dbversion, needreimport)
        values (nextval('seq_dbversion'), 202, 't');
