--------------------------------------------------------------------------------
-- Bug 15742 – [WinStrom] Kalkulačka pro výpočet mzdy
--------------------------------------------------------------------------------

-- uprava nastaveni
ALTER TABLE nnastav DROP COLUMN mzdproczdpojneplvol;

ALTER TABLE nnastav ADD COLUMN mzdsmenydnutydne integer;
ALTER TABLE nnastav ADD COLUMN mzdsmenyhodindenne integer;
ALTER TABLE nnastav ADD COLUMN mzdsmenypocpracdoby integer;

-- pridani poli na osobu
ALTER TABLE posoba ADD COLUMN odpocetdeti integer NOT NULL DEFAULT 0;
ALTER TABLE posoba ADD COLUMN invalcast boolean DEFAULT false;
ALTER TABLE posoba ADD COLUMN invalplna boolean DEFAULT false;
ALTER TABLE posoba ADD COLUMN student boolean DEFAULT false;
ALTER TABLE posoba ADD COLUMN sirotciduch boolean DEFAULT false;
ALTER TABLE posoba ADD COLUMN starobniduch boolean DEFAULT false;
ALTER TABLE posoba ADD COLUMN starobnipredduch boolean DEFAULT false;
ALTER TABLE posoba ADD COLUMN vdovskyduch boolean DEFAULT false;

-- pridani pole dnu dovolene rocne na pracpom
ALTER TABLE ppracpom ADD COLUMN dovolenerocne integer NOT NULL DEFAULT 0;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 218, 't');
