--------------------------------------------------------------------------------
-- Bug 18948 – [WinStrom] Pro slovaky mame neaktualni vykaz zisku a ztraty
--------------------------------------------------------------------------------


create or replace function runupgrade()
    returns void as $$
declare
    _idtyporgread integer;
begin
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro slovaky
  if (_idtyporgread = 3) then
-- zacatek bloku slovenskych podnikatelu


-- Sestavy
-- Bug 18948 – [WinStrom] Pro slovaky mame neaktualni vykaz zisku a ztraty
-- nejdrive to promazeme
DELETE FROM usessumace WHERE IdSesSumace = 1405;
DELETE FROM usessumace WHERE IdSesSumace = 1576;
DELETE FROM usessumace WHERE IdSesSumace = 1577;
DELETE FROM usessumace WHERE IdSesSumace = 1574;
DELETE FROM usessumace WHERE IdSesSumace = 1575;
DELETE FROM usessumace WHERE IdSesSumace = 1572;
DELETE FROM usessumace WHERE IdSesSumace = 1573;
DELETE FROM usessumace WHERE IdSesSumace = 1569;
DELETE FROM usessumace WHERE IdSesSumace = 1520;

DELETE FROM usesstdpred WHERE IdSesStdPred = 1202;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1203;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1207;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1204;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1205;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1511;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1613;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1607;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1627;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1626;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1617;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1616;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1619;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1618;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1623;
DELETE FROM usesstdpred WHERE IdSesStdPred = 1564;

DELETE FROM usesuzivpred WHERE idsesradky = 186;
DELETE FROM usesrozpaduce WHERE idsesradky = 186;
DELETE FROM usesradky WHERE IdSesRadky = 186;

-- update a insert
UPDATE usesradky SET nazev = 'SPOLU MAJETOK   r.002 + r.031 + r.061' WHERE IdSesRadky = 185;
UPDATE usesradky SET cisrad = 2, oznaceni = 'A A.', nazev = 'Neobežný majetok   r.003 + r.012 + r.022' WHERE IdSesRadky = 187;
UPDATE usesradky SET cisrad = 3, oznaceni = 'A A.I.', nazev = 'Dlhodobý nehmotný majetok súčet (r.004 až 011)' WHERE IdSesRadky = 188;
UPDATE usesradky SET cisrad = 4, oznaceni = 'A A.I.1.', nazev = 'Zriaďovacie náklady (011)-/071, 091A/' WHERE IdSesRadky = 189;
UPDATE usesradky SET cisrad = 5, oznaceni = 'A A.I.2.', nazev = 'Aktivované náklady na vývoj (012) - /072, 091A/' WHERE IdSesRadky = 190;
UPDATE usesradky SET cisrad = 6, oznaceni = 'A A.I.3.', nazev = 'Softvér (013) - /073, 091A/' WHERE IdSesRadky = 191;
UPDATE usesradky SET cisrad = 7, oznaceni = 'A A.I.4.', nazev = 'Oceniteľné práva (014) - /074, 091A/' WHERE IdSesRadky = 192;
UPDATE usesradky SET cisrad = 8, oznaceni = 'A A.I.5.', nazev = 'Goodwill (015) - /075, 091A/' WHERE IdSesRadky = 193;
UPDATE usesradky SET cisrad = 9, oznaceni = 'A A.I.6.', nazev = 'Ostatný dlhodobý nehmotný majetok (019, 01X) - /079, 07X, 091A)' WHERE IdSesRadky = 194;
UPDATE usesradky SET cisrad = 10, oznaceni = 'A A.I.7.', nazev = 'Obstarávaný dlhodobý nehmotný majetok (041) - 093' WHERE IdSesRadky = 195;
UPDATE usesradky SET cisrad = 11, oznaceni = 'A A.I.8.', nazev = 'Poskytnuté preddavky na dlhodobý nehmotný majetok (051) - 095A' WHERE IdSesRadky = 196;
UPDATE usesradky SET cisrad = 12, oznaceni = 'A A.II.', nazev = 'Dlhodobý hmotný majetok súčet (r.013 až 021)' WHERE IdSesRadky = 197;
UPDATE usesradky SET cisrad = 13, oznaceni = 'A A.II.1.', nazev = 'Pozemky (031) - 092A' WHERE IdSesRadky = 198;
UPDATE usesradky SET cisrad = 14, oznaceni = 'A A.II.2.', nazev = 'Stavby (021) - /081, 092A/' WHERE IdSesRadky = 199;
UPDATE usesradky SET cisrad = 15, oznaceni = 'A A.II.3.', nazev = 'Samostatné hnuteľné veci a súbory hnuteľných vecí (022) - /082, 092A/' WHERE IdSesRadky = 200;
UPDATE usesradky SET cisrad = 16, oznaceni = 'A A.II.4.', nazev = 'Pestovateľské celky trvalých porastov (025) - /085, 092A/' WHERE IdSesRadky = 201;
UPDATE usesradky SET cisrad = 17, oznaceni = 'A A.II.5.', nazev = 'Základné stádo a ťažné zvieratá (026) - /086, 092A/' WHERE IdSesRadky = 202;
UPDATE usesradky SET cisrad = 18, oznaceni = 'A A.II.6.', nazev = 'Ostatný dlhodobý hmotný majetok (029, 02X, 032) - /089, 08X,092A/' WHERE IdSesRadky = 203;
UPDATE usesradky SET cisrad = 19, oznaceni = 'A A.II.7.', nazev = 'Obstarávaný dlhodobý hmotný majetok (042) - 094' WHERE IdSesRadky = 204;
UPDATE usesradky SET cisrad = 20, oznaceni = 'A A.II.8.', nazev = 'Poskytnuté preddavky na dlhodobý hmotný majetok (052) - 095A' WHERE IdSesRadky = 205;
UPDATE usesradky SET cisrad = 21, oznaceni = 'A A.II.9.', nazev = 'Opravná položka k nadobudnutému majetku (+/-097) +/- 098' WHERE IdSesRadky = 206;
UPDATE usesradky SET cisrad = 22, oznaceni = 'A A.III.', nazev = 'Dlhodobý finančný majetok súčet (r.023 až 030)' WHERE IdSesRadky = 207;
UPDATE usesradky SET cisrad = 23, oznaceni = 'A A.III.1.', nazev = 'Podielové cenné papiere a podiely v dcérskej účtovnej jednotke (061) - 096A' WHERE IdSesRadky = 208;
UPDATE usesradky SET cisrad = 24, oznaceni = 'A A.III.2.', nazev = 'Podielové cenné papiere a podiely v spoločnosti s podstatným vplyvom (062) - 096A' WHERE IdSesRadky = 209;
UPDATE usesradky SET cisrad = 25, oznaceni = 'A A.III.3.', nazev = 'Ostatné dlhodobé cenné papiere a podiely (063, 065) - 096A' WHERE IdSesRadky = 210;
UPDATE usesradky SET cisrad = 26, oznaceni = 'A A.III.4.', nazev = 'Pôžičky účtovnej jednotke v konsolidovanom celku (066A) - 096A' WHERE IdSesRadky = 211;
UPDATE usesradky SET cisrad = 27, oznaceni = 'A A.III.5.', nazev = 'Ostatný dlhodobý finančný majetok (067A, 069, 06XA) - 096A' WHERE IdSesRadky = 212;
UPDATE usesradky SET cisrad = 28, oznaceni = 'A A.III.6.', nazev = 'Pôžičky s dobou splatnosti najviac jeden rok (066A, 067A, 06XA) - 096A' WHERE IdSesRadky = 213;
UPDATE usesradky SET cisrad = 29, oznaceni = 'A A.III.7.', nazev = 'Obstarávaný dlhodobý finančný majetok (043) - 096A' WHERE IdSesRadky = 214;
UPDATE usesradky SET cisrad = 30, oznaceni = 'A A.III.8.', nazev = 'Poskytnuté preddavky na dlhodobý finančný majetok (053) - 095A' WHERE IdSesRadky = 215;
UPDATE usesradky SET cisrad = 31, oznaceni = 'A B.', nazev = 'Obežný majetok   r.032 + r.040 + r.047 + r.055' WHERE IdSesRadky = 216;
UPDATE usesradky SET cisrad = 32, oznaceni = 'A B.I.', nazev = 'Zásoby súčet (r.033 až 039)' WHERE IdSesRadky = 217;
UPDATE usesradky SET cisrad = 33, oznaceni = 'A B.I.1.', nazev = 'Materiál (112, 119, 11X) - /191, 19X/' WHERE IdSesRadky = 218;
UPDATE usesradky SET cisrad = 34, oznaceni = 'A B.I.2.', nazev = 'Nedokončená výroba a polotovary vlastnej výroby (121, 122, 12X) - /192, 193, 19X)' WHERE IdSesRadky = 219;
UPDATE usesradky SET cisrad = 35, oznaceni = 'A B.I.3.', nazev = 'Zákazková výroba s predpokladanou dobou ukončenia dlhšou ako jeden rok 12X - 192A' WHERE IdSesRadky = 220;
UPDATE usesradky SET cisrad = 36, oznaceni = 'A B.I.4.', nazev = 'Výrobky (123) - 194' WHERE IdSesRadky = 221;
UPDATE usesradky SET cisrad = 37, oznaceni = 'A B.I.5.', nazev = 'Zvieratá (124) - 195' WHERE IdSesRadky = 222;
UPDATE usesradky SET cisrad = 38, oznaceni = 'A B.I.6.', nazev = 'Tovar (132, 13X, 139) -/196, 19X/' WHERE IdSesRadky = 223;
UPDATE usesradky SET cisrad = 39, oznaceni = 'A B.I.7.', nazev = 'Poskytnuté preddavky na zásoby (314A) - 391A' WHERE IdSesRadky = 224;
UPDATE usesradky SET cisrad = 40, oznaceni = 'A B.II.', nazev = 'Dlhodobé pohľadávky súčet (r.041 až 046)' WHERE IdSesRadky = 225;
UPDATE usesradky SET cisrad = 41, oznaceni = 'A B.II.1.', nazev = 'Pohľadávky z obchodného styku (311A, 312A, 313A, 314A, 315A, 31XA) - 391A' WHERE IdSesRadky = 226;
UPDATE usesradky SET cisrad = 42, oznaceni = 'A B.II.2.', nazev = 'Pohľadávky voči dcérskej účtovnej jednotke a materskej účtovnej jednotke (351A) - 391A' WHERE IdSesRadky = 227;
UPDATE usesradky SET cisrad = 43, oznaceni = 'A B.II.3.', nazev = 'Ostatné pohľadávky v rámci konsolidovaného celku (351A) - 391A' WHERE IdSesRadky = 228;
UPDATE usesradky SET cisrad = 44, oznaceni = 'A B.II.4.', nazev = 'Pohľadávky voči spoločníkom, členom a združeniu (354A, 355A, 358A, 35XA) - 391A' WHERE IdSesRadky = 229;
UPDATE usesradky SET cisrad = 45, oznaceni = 'A B.II.5.', nazev = 'Iné pohľadávky (335A, 33XA, 371A, 373A, 374A, 375A, 376A, 378A) - 391A' WHERE IdSesRadky = 230;
UPDATE usesradky SET cisrad = 46, oznaceni = 'A B.II.6.', nazev = 'Odložená daňová pohľadávka (481A)' WHERE IdSesRadky = 231;
UPDATE usesradky SET cisrad = 47, oznaceni = 'A B.III.', nazev = 'Krátkodobé pohľadávky súčet (r.048 až 054)' WHERE IdSesRadky = 232;
UPDATE usesradky SET cisrad = 48, oznaceni = 'A B.III.1.', nazev = 'Pohľadávky z obchodného styku (311A, 312A, 313A, 314A, 315A, 31XA) - 391A ' WHERE IdSesRadky = 233;
UPDATE usesradky SET cisrad = 49, oznaceni = 'A B.III.2.', nazev = 'Pohľadávky voči dcérskej účtovnej jednotke a materskej účtovnej jednotke (351A) - 391A' WHERE IdSesRadky = 234;
UPDATE usesradky SET cisrad = 50, oznaceni = 'A B.III.3.', nazev = 'Ostatné pohľadávky v rámci konsolidovaného celku (351A) - 391A' WHERE IdSesRadky = 235;
UPDATE usesradky SET cisrad = 51, oznaceni = 'A B.III.4.', nazev = 'Pohľadávky voči spoločníkom, členom a združeniu (354A, 355A, 358A, 35XA, 398A) - 391A' WHERE IdSesRadky = 236;
UPDATE usesradky SET cisrad = 52, oznaceni = 'A B.III.5.', nazev = 'Sociálne poistenie (336) - 391A' WHERE IdSesRadky = 237;
UPDATE usesradky SET cisrad = 53, oznaceni = 'A B.III.6.', nazev = 'Daňové pohľadávky a dotácie (341, 342, 343, 345, 346, 347) - 391A' WHERE IdSesRadky = 238;
UPDATE usesradky SET cisrad = 54, oznaceni = 'A B.III.7.', nazev = 'Iné pohľadávky (335A, 33XA, 371A, 373A, 374A, 375A, 376A, 378A) - 391A' WHERE IdSesRadky = 239;
UPDATE usesradky SET cisrad = 55, oznaceni = 'A B.IV.', nazev = 'Finančné účty súčet (r.056 až 060)' WHERE IdSesRadky = 240;
UPDATE usesradky SET cisrad = 56, oznaceni = 'A B.IV.1.', nazev = 'Peniaze (211, 213, 21X)' WHERE IdSesRadky = 241;
UPDATE usesradky SET cisrad = 57, oznaceni = 'A B.IV.2.', nazev = 'Účty v bankách (221A, 22X +/- 261)' WHERE IdSesRadky = 242;
UPDATE usesradky SET cisrad = 58, oznaceni = 'A B.IV.3.', nazev = 'Účty v bankách s dobou viazanosti dlhšou ako jeden rok 22XA' WHERE IdSesRadky = 243;
UPDATE usesradky SET cisrad = 59, oznaceni = 'A B.IV.4.', nazev = 'Krátkodobý finančný majetok (251, 253, 256, 257, 25X) - /291, 29X/' WHERE IdSesRadky = 244;
UPDATE usesradky SET cisrad = 60, oznaceni = 'A B.IV.5.', nazev = 'Obstarávaný krátkodobý finančný majetok (259, 314A) - 291' WHERE IdSesRadky = 245;
UPDATE usesradky SET cisrad = 61, oznaceni = 'A C.', nazev = 'Časové rozlíšenie súčet (r.062 až 065)' WHERE IdSesRadky = 246;
UPDATE usesradky SET cisrad = 62, oznaceni = 'A C.1.', nazev = 'Náklady budúcich období dlhodobé (381A, 382A)' WHERE IdSesRadky = 247;
UPDATE usesradky SET oznaceni = 'A C.3.', nazev = 'Príjmy budúcich období dlhodobé (385A)' WHERE IdSesRadky = 248;
UPDATE usesradky SET cisrad = 66, nazev = 'SPOLU VLASTNÉ IMANIE A ZÁVÄZKY   r.067 + r.088 + r.119' WHERE IdSesRadky = 249;
UPDATE usesradky SET cisrad = 67, nazev = 'Vlastné imanie   r.068 + r.073 + r.080 + r.084 + r.087' WHERE IdSesRadky = 250;
UPDATE usesradky SET cisrad = 68, nazev = 'Základné imanie   súčet (r.069 až 072)' WHERE IdSesRadky = 251;
UPDATE usesradky SET cisrad = 69, nazev = 'Základné imanie (411 alebo +/- 491)' WHERE IdSesRadky = 252;
UPDATE usesradky SET cisrad = 70, nazev = 'Vlastné akcie a vlastné obchodné podiely (/-/252)' WHERE IdSesRadky = 253;
UPDATE usesradky SET cisrad = 71, nazev = 'Zmena základného imania +/- 419' WHERE IdSesRadky = 254;
UPDATE usesradky SET cisrad = 73, nazev = 'Kapitálové fondy   súčet (r.074 až 079)' WHERE IdSesRadky = 255;
UPDATE usesradky SET cisrad = 74, nazev = 'Emisné ážio (412)' WHERE IdSesRadky = 256;
UPDATE usesradky SET cisrad = 75, nazev = 'Ostatné kapitálové fondy (413)' WHERE IdSesRadky = 257;
UPDATE usesradky SET cisrad = 76, nazev = 'Zákonný rezervný fond (Nedeliteľný fond) z kapitálových vkladov (417, 418)' WHERE IdSesRadky = 258;
UPDATE usesradky SET cisrad = 77, nazev = 'Oceňovacie rozdiely z precenenia majetku a záväzkov (+/- 414)' WHERE IdSesRadky = 259;
UPDATE usesradky SET cisrad = 78, nazev = 'Oceňovacie rozdiely z kapitálových účastín (+/- 415)' WHERE IdSesRadky = 260;
UPDATE usesradky SET cisrad = 79, nazev = 'Oceňovacie rozdiely z precenenia při zlúčení, splynutí a rozdelení (+/- 416)' WHERE IdSesRadky = 261;
UPDATE usesradky SET cisrad = 80, nazev = 'Fondy zo zisku   súčet (r.081 až 083)' WHERE IdSesRadky = 262;
UPDATE usesradky SET cisrad = 81, nazev = '42' WHERE IdSesRadky = 263;
UPDATE usesradky SET cisrad = 82, nazev = 'Nedeliteľný fond (422)' WHERE IdSesRadky = 264;
UPDATE usesradky SET cisrad = 83, nazev = 'Štatutárne fondy a ostatné fondy (423, 427, 42X)' WHERE IdSesRadky = 265;
UPDATE usesradky SET cisrad = 84, nazev = 'Výsledok hospodárenia minulých rokov   r.085 + r.086' WHERE IdSesRadky = 266;
UPDATE usesradky SET cisrad = 85, nazev = 'Nerozdelený zisk minulých rokov (428)' WHERE IdSesRadky = 267;
UPDATE usesradky SET cisrad = 86, nazev = 'Neuhradená strata minulých rokov (/-/429)' WHERE IdSesRadky = 268;
UPDATE usesradky SET cisrad = 87, nazev = 'Výsledok hospodárenia za účtovné obdobie po zdaneni /+-/   r.001 - (r.068 + r.073 + r.080 + r.084 + r.088 + r.119)' WHERE IdSesRadky = 269;
UPDATE usesradky SET cisrad = 88, nazev = 'Záväzky   r.89 + r. 94 + r.105 + r.115 + r.116' WHERE IdSesRadky = 270;
UPDATE usesradky SET cisrad = 89, nazev = 'Rezervy   súčet (r.090 až r.093)' WHERE IdSesRadky = 271;
UPDATE usesradky SET cisrad = 90, nazev = 'Rezervy zákonné (451A)' WHERE IdSesRadky = 272;
UPDATE usesradky SET cisrad = 92, oznaceni = 'P B.I.3.', nazev = 'Ostatné dlhodobé rezervy (459A, 45XA)' WHERE IdSesRadky = 273;
UPDATE usesradky SET cisrad = 93, oznaceni = 'P B.I.4.', nazev = 'Ostatní krátkodobé rezervy (323A, 32X, 459A, 45XA)' WHERE IdSesRadky = 274;
UPDATE usesradky SET cisrad = 94, nazev = 'Dlhodobé záväzky   súčet (r.095 až 104)' WHERE IdSesRadky = 275;
UPDATE usesradky SET cisrad = 95, nazev = 'Dlhodobé záväzky z obchodného styku (479)' WHERE IdSesRadky = 276;
UPDATE usesradky SET cisrad = 96, nazev = 'Dlhodobé nevyfakturované dodávky (476A)' WHERE IdSesRadky = 277;
UPDATE usesradky SET cisrad = 97, nazev = 'Dlhodobé záväzky voči dcérskej účtovnej jednotke a materskej účtovnej jednotke (471A)' WHERE IdSesRadky = 278;
UPDATE usesradky SET cisrad = 98, nazev = 'Ostatné dlhodobé záväzky v rámci konsolidovaného celku (471A)' WHERE IdSesRadky = 279;
UPDATE usesradky SET cisrad = 99, nazev = 'Dlhodobé prijaté preddavky (475A)' WHERE IdSesRadky = 280;
UPDATE usesradky SET cisrad = 100, nazev = 'Dlhodobé zmenky na úhradu (478A)' WHERE IdSesRadky = 281;
UPDATE usesradky SET cisrad = 101, nazev = 'Vydané dlhopisy (473A/-/255A)' WHERE IdSesRadky = 282;
UPDATE usesradky SET cisrad = 102, nazev = 'Záväzky zo sociálneho fondu (472)' WHERE IdSesRadky = 283;
UPDATE usesradky SET cisrad = 103, nazev = 'Ostatné dlhodobé záväzky (474A, 479A, 47XA, 372A, 373A, 377A)' WHERE IdSesRadky = 284;
UPDATE usesradky SET cisrad = 104, nazev = 'Odložený daňový záväzok (481A)' WHERE IdSesRadky = 285;
UPDATE usesradky SET cisrad = 105, nazev = 'Krátkodobé záväzky   súčet (r.106 až 114)' WHERE IdSesRadky = 286;
UPDATE usesradky SET cisrad = 106, nazev = 'Záväzky z obchodného styku (321, 322, 324, 325, 32X, 475A, 478A, 479A, 47XA)' WHERE IdSesRadky = 287;
UPDATE usesradky SET cisrad = 107, nazev = 'Nevyfakturované dodávky (326, 476A)' WHERE IdSesRadky = 288;
UPDATE usesradky SET cisrad = 108, nazev = 'Záväzky voči dcérskej účtovnej jednotke a materskej účtovnej jednotke (361A, 471A)' WHERE IdSesRadky = 289;
UPDATE usesradky SET cisrad = 109, nazev = 'Ostatné záväzky v rámci konsolidovaného celku (361A, 36XA, 471A, 47XA)' WHERE IdSesRadky = 290;
UPDATE usesradky SET cisrad = 110, nazev = 'Záväzky voči spoločníkom a združeniu (364, 365, 366, 367, 368, 398A, 478A, 479A)' WHERE IdSesRadky = 291;
UPDATE usesradky SET cisrad = 111, nazev = 'Záväzky voči zamestnancom (331, 333, 33X, 479A)', popis = '' WHERE IdSesRadky = 292;
UPDATE usesradky SET cisrad = 112, nazev = 'Záväzky zo sociálneho poistenia (336, 479A)' WHERE IdSesRadky = 293;
UPDATE usesradky SET cisrad = 113, nazev = 'Daňové záväzky a dotácie (341, 342, 343, 345, 346, 347, 34X)' WHERE IdSesRadky = 294;
UPDATE usesradky SET cisrad = 114, nazev = 'Ostatné záväzky (372A, 373A, 377A, 379A, 474A, 479A, 47X)' WHERE IdSesRadky = 295;
UPDATE usesradky SET cisrad = 116, oznaceni = 'P B.V.', nazev = 'Bankové úvery   r.117 + r.118' WHERE IdSesRadky = 296;
UPDATE usesradky SET cisrad = 117, oznaceni = 'P B.V.1.', nazev = 'Bankové úvery dlhodobé (461A. 46XA)' WHERE IdSesRadky = 297;
UPDATE usesradky SET cisrad = 118, oznaceni = 'P B.V.2.', nazev = 'Bežné bankové úvery (221A, 231, 232, 23X, 461A, 46XA)' WHERE IdSesRadky = 298;
UPDATE usesradky SET cisrad = 121, oznaceni = 'P C.2.', nazev = 'Výdavky budúcich obdobi krátkodobé (383A)' WHERE IdSesRadky = 299;
UPDATE usesradky SET cisrad = 119, nazev = 'Časové rozlíšenie súčet (r.120 až 123)' WHERE IdSesRadky = 300;
UPDATE usesradky SET cisrad = 120, nazev = 'Výdavky budúcich období dlohodobé (383A)' WHERE IdSesRadky = 301;
UPDATE usesradky SET cisrad = 122, oznaceni = 'P C.3.', nazev = 'Výnosy budúcich období dlohodobé (384A)' WHERE IdSesRadky = 302;
UPDATE usesradky SET nazev = 'Tržby z predaja tovaru (604)' WHERE IdSesRadky = 1201;
UPDATE usesradky SET nazev = 'Náklady vynaložené na obstaranie predaného tovaru (504, 505A)' WHERE IdSesRadky = 1202;
UPDATE usesradky SET nazev = 'Obchodná marža   r.01 - r.02' WHERE IdSesRadky = 1203;
UPDATE usesradky SET nazev = 'Výroba   r.05 + r.06 + r.07' WHERE IdSesRadky = 1204;
UPDATE usesradky SET nazev = 'Tržby z predaja vlastných výrobkov a služieb (601, 602)' WHERE IdSesRadky = 1205;
UPDATE usesradky SET nazev = 'Zmeny stavu vnútroorganizačných zásob (+/- účtová sk. 61)' WHERE IdSesRadky = 1206;
UPDATE usesradky SET nazev = 'Aktivácia (účtová skupina 62)' WHERE IdSesRadky = 1207;
UPDATE usesradky SET nazev = 'Výrobná spotreba   r. 09 + r.10' WHERE IdSesRadky = 1208;
UPDATE usesradky SET nazev = 'Spotreba materiálu, energie a ostatných neskladovateľných dodávok (501, 502, 503, 505A)' WHERE IdSesRadky = 1209;
UPDATE usesradky SET nazev = 'Služby (účtová skupina 51)' WHERE IdSesRadky = 1210;
UPDATE usesradky SET nazev = 'Pridaná hodnota   r.03 + r.04 - r.08' WHERE IdSesRadky = 1211;
UPDATE usesradky SET nazev = 'Osobné náklady   súčet (r.13 až 16)' WHERE IdSesRadky = 1212;
UPDATE usesradky SET nazev = 'Mzdové náklady (521, 522)' WHERE IdSesRadky = 1213;
UPDATE usesradky SET nazev = 'Odmeny členom orgánov spoločnosti a družstva (523)' WHERE IdSesRadky = 1214;
UPDATE usesradky SET nazev = 'Náklady na sociálne poistenie (524, 525, 526)' WHERE IdSesRadky = 1215;
UPDATE usesradky SET nazev = 'Sociálne náklady (527, 528)' WHERE IdSesRadky = 1216;
UPDATE usesradky SET nazev = 'Dane a poplatky  (účtová skupina 53)' WHERE IdSesRadky = 1217;
UPDATE usesradky SET nazev = 'Odpisy a opravné položky k dlhodobému nehmotnému majetku a dlhodobému hmotnému majetku (551, 553)' WHERE IdSesRadky = 1218;
UPDATE usesradky SET nazev = 'Tržby z predaja dlhodobého majetku a materiálu (641, 642)' WHERE IdSesRadky = 1219;
UPDATE usesradky SET nazev = 'Zostatková cena predaného dlhodobého majetku a predaného materiálu (541,542)' WHERE IdSesRadky = 1220;
UPDATE usesradky SET cisrad = 22, nazev = 'Ostatné výnosy z hospodárskej činnosti (644, 645, 646, 648, 655, 657)' WHERE IdSesRadky = 1221;
UPDATE usesradky SET cisrad = 23, oznaceni = 'H.', nazev = 'Ostatné náklady na hospodársku činnosť (543, 544, 545, 546, 548, 549, 555, 557)' WHERE IdSesRadky = 1222;
UPDATE usesradky SET cisrad = 24, nazev = 'Prevod výnosov z hospodárskej činnosti (-) 697' WHERE IdSesRadky = 1223;
UPDATE usesradky SET cisrad = 25, oznaceni = 'I.', nazev = 'Prevod nákladov na hospodársku činnosť (-) 597' WHERE IdSesRadky = 1224;
UPDATE usesradky SET cisrad = 26, nazev = 'Výsledok hospodárenia z hospodárskej činnosti   r.11 - r.12 - r.17 - r.18 + r.19 - r.20 - r.21 + r.22 - r.23 + (-r.24) - (-r.25)' WHERE IdSesRadky = 1225;
UPDATE usesradky SET cisrad = 27, nazev = 'Tržby z predaja cenných papierov a podielov (661)' WHERE IdSesRadky = 1226;
UPDATE usesradky SET cisrad = 28, oznaceni = 'J.', nazev = 'Predané cenné papiere a podiely (561)' WHERE IdSesRadky = 1227;
UPDATE usesradky SET cisrad = 29, nazev = 'Výnosy z dlhodobého finančného majetku   r.30 + r.31 + r. 32' WHERE IdSesRadky = 1228;
UPDATE usesradky SET cisrad = 30, nazev = 'Výnosy z cenných papierov a podielov v dcérskej účtovnej jednotke a v spoločnosti s podstatným vplyvom (665A)' WHERE IdSesRadky = 1229;
UPDATE usesradky SET cisrad = 31, nazev = 'Výnosy z ostatných dlhodobých cenných papierov a podielov (665A)' WHERE IdSesRadky = 1230;
UPDATE usesradky SET cisrad = 32, nazev = 'Výnosy z ostatného dlhodobého finančného majetku (665A)' WHERE IdSesRadky = 1231;
UPDATE usesradky SET cisrad = 33, nazev = 'Výnosy z krátkodobého finančného majetku (666)' WHERE IdSesRadky = 1232;
UPDATE usesradky SET cisrad = 34, oznaceni = 'K.', nazev = 'Náklady na krátkodobý finančný majetok (566)' WHERE IdSesRadky = 1233;
UPDATE usesradky SET cisrad = 35, nazev = 'Výnosy z precenenia cenných papierov a výnosy z derivátových operácií (664, 667)' WHERE IdSesRadky = 1234;
UPDATE usesradky SET cisrad = 36, oznaceni = 'L.', nazev = 'Náklady na precenenie cenných papierov a náklady na derivátové operácie (564, 567)' WHERE IdSesRadky = 1235;
UPDATE usesradky SET cisrad = 37, oznaceni = 'M.', nazev = 'Tvorba a zúčtovanie opravných položiek k finančnému majetku +/- 565' WHERE IdSesRadky = 1236;
UPDATE usesradky SET cisrad = 38, nazev = 'Výnosové úroky (662)' WHERE IdSesRadky = 1237;
UPDATE usesradky SET cisrad = 39, oznaceni = 'N.', nazev = 'Nákladové úroky (562)' WHERE IdSesRadky = 1238;
UPDATE usesradky SET cisrad = 40, nazev = 'Kurzové zisky (663)' WHERE IdSesRadky = 1239;
UPDATE usesradky SET cisrad = 41, oznaceni = 'O.', nazev = 'Kurzové straty (563)' WHERE IdSesRadky = 1240;
UPDATE usesradky SET cisrad = 42, nazev = 'Ostatné výnosy z finančnej činnosti (668)' WHERE IdSesRadky = 1241;
UPDATE usesradky SET cisrad = 43, oznaceni = 'P.', nazev = 'Ostatné náklady na finančnú činnosť (568, 569)' WHERE IdSesRadky = 1242;
UPDATE usesradky SET cisrad = 44, nazev = 'Prevod finančných výnosov (-) (698)' WHERE IdSesRadky = 1243;
UPDATE usesradky SET cisrad = 45, oznaceni = 'R.', nazev = 'Prevod finančných nákladov (-) (598)' WHERE IdSesRadky = 1244;
UPDATE usesradky SET cisrad = 46, nazev = 'Výsledok hospodárenia z finančnej činnosti   r.27 - r.28 + r.29 + r.33 - r.34 + r.35 - r.36 - r.37 + r.38 - r.39 + r.40 - r.41 + r.42 - r.43 + (-r.44) - (-r.45)' WHERE IdSesRadky = 1245;
UPDATE usesradky SET cisrad = 48, oznaceni = 'S.', nazev = 'Daň z príjmov z bežnej činnosti   r.49 + r.50' WHERE IdSesRadky = 1246;
UPDATE usesradky SET cisrad = 49, oznaceni = 'S.1.', nazev = '- splatná (591, 595)' WHERE IdSesRadky = 1247;
UPDATE usesradky SET cisrad = 50, oznaceni = 'S.2.', nazev = '- odložená (+/-592)' WHERE IdSesRadky = 1248;
UPDATE usesradky SET cisrad = 47, nazev = 'Výsledok hospodárenia z bežnej činnosti pred zdanenim   r.26 + r.46' WHERE IdSesRadky = 1249;
UPDATE usesradky SET cisrad = 52, nazev = 'Mimoriadne výnosy (účtová skupina 68)' WHERE IdSesRadky = 1250;
UPDATE usesradky SET cisrad = 53, oznaceni = 'T.', nazev = 'Mimoriadne náklady (účtová skupina 58)' WHERE IdSesRadky = 1251;
UPDATE usesradky SET cisrad = 55, oznaceni = 'U.', nazev = 'Daň z príjmov z mimoriadnej činnosti   r.56 + r.57' WHERE IdSesRadky = 1252;
UPDATE usesradky SET cisrad = 56, oznaceni = 'U.1.', nazev = '- splatná (593)' WHERE IdSesRadky = 1253;
UPDATE usesradky SET cisrad = 57, oznaceni = 'U.2.', nazev = '- odložená (+/-594)' WHERE IdSesRadky = 1254;
UPDATE usesradky SET cisrad = 58, nazev = 'Výsledok hospodárenia z mimoriadnej činnosti po zdanení   r.54 - r.55' WHERE IdSesRadky = 1255;
UPDATE usesradky SET cisrad = 60, oznaceni = 'V.', nazev = 'Prevod podielov na výsledku hospodárenia spoločníkom (+/-596)' WHERE IdSesRadky = 1256;
UPDATE usesradky SET cisrad = 61, nazev = 'Výsledok hospodárenia za účtovné obdobie po zdanení (+/-) [r.51 + r.58 - r.60]' WHERE IdSesRadky = 1257;
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1259, '2010-04-06 00:00:00.000', 21, 'G.', 'Tvorba a zúčtovanie opravných položiek k pohľadávkam (+/- 547)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1260, '2010-04-06 00:00:00.000', 51, '**', 'Výsledok hospodárenia z bežnej činnosti po zdaneni   r.47 - r.48', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1261, '2010-04-06 00:00:00.000', 54, '*', 'Výsledok hospodárenia z mimoriadnej činnosti pred zdanením   r.52 - r.53', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1262, '2010-04-06 00:00:00.000', 59, '***', 'Výsledok hospodárenia za účtovné obdobie před zdanenim (+/-) [r.47 + r.54]', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 4);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1263, '2010-04-08 00:00:00.000', 63, 'A C. 2', 'Náklady budúcich období krátkodobé (381A, 382A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1264, '2010-04-08 00:00:00.000', 65, 'A C.4.', 'Príjmy budúcich období krátkodobé (385A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1265, '2010-04-08 00:00:00.000', 72, 'P A.I.4.', 'Pohľadávky za upsané vlastne imanie (/-/353)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1266, '2010-04-08 00:00:00.000', 91, 'P B.I.2.', 'Rezervy zákonné krátkodobé (323A, 451A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1267, '2010-04-08 00:00:00.000', 115, 'P B.IV.', 'Krátkodobé finančné výpomoci (241, 249, 24x, 473A, /-/255A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3);
INSERT INTO usesradky (idsesradky, lastupdate, cisrad, oznaceni, nazev, zjednodusena, hod1, hod2, hod3, hod4, hod5, hod6, idsestavy)
 VALUES (1268, '2010-04-08 00:00:00.000', 123, 'P C.4.', 'Výnosy budúcich období krátkodobé (384A)', false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 3);


INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1579, '2010-04-06 00:00:00.000', false, 1225, 1211);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1580, '2010-04-06 00:00:00.000', true, 1225, 1212);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1581, '2010-04-06 00:00:00.000', true, 1225, 1259);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1582, '2010-04-06 00:00:00.000', false, 1260, 1249);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1583, '2010-04-06 00:00:00.000', true, 1260, 1246);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1584, '2010-04-06 00:00:00.000', false, 1261, 1250);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1585, '2010-04-06 00:00:00.000', true, 1261, 1251);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1586, '2010-04-06 00:00:00.000', false, 1255, 1261);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1587, '2010-04-06 00:00:00.000', true, 1255, 1252);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1588, '2010-04-06 00:00:00.000', false, 1262, 1249);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1589, '2010-04-06 00:00:00.000', false, 1262, 1261);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1590, '2010-04-06 00:00:00.000', false, 1257, 1260);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1591, '2010-04-06 00:00:00.000', false, 1257, 1255);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1592, '2010-04-06 00:00:00.000', true, 1257, 1256);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1593, '2010-04-08 00:00:00.000', false, 246, 1263);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1594, '2010-04-08 00:00:00.000', false, 246, 1264);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1595, '2010-04-08 00:00:00.000', false, 251, 1265);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1596, '2010-04-08 00:00:00.000', false, 271, 1266);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1597, '2010-04-08 00:00:00.000', false, 270, 1267);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1598, '2010-04-08 00:00:00.000', false, 300, 299);
INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradky, idsesradkysum)
 VALUES (1599, '2010-04-08 00:00:00.000', false, 300, 1268);


UPDATE usesstdpred SET idstducet = (select IdStdUcet from uStdUcty where uuid = 'SK_POD_384') WHERE IdSesStdPred = 1201;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.pasivni' WHERE IdSesStdPred = 1209;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni' WHERE IdSesStdPred = 1354;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni' WHERE IdSesStdPred = 1356;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni' WHERE IdSesStdPred = 1357;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni' WHERE IdSesStdPred = 1358;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni' WHERE IdSesStdPred = 1402;
UPDATE usesstdpred SET druhuctuk = 'druhUctu.aktivni' WHERE IdSesStdPred = 1609;
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1640, '2010-04-06 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 1259, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_547'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1641, '2010-04-06 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 1222, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_550'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1643, '2010-04-07 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_010'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1644, '2010-04-07 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_070'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1645, '2010-04-07 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_090'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1646, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_096'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1647, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_111'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1648, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 229, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_353'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1649, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 226, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_310'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1650, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 236, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_350'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1651, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 236, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_351'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1652, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 236, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_353'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1653, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 239, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_370'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1654, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 1263, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_381'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1655, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 1263, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_382'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1656, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 1264, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_385'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1657, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1265, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_353'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1658, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1266, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_323'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1659, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1266, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_451'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1660, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 273, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_450'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1661, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 294, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_341'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1662, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 294, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_342'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1663, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 294, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_343'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1664, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 294, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_345'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1665, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 294, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_346'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1666, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 294, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_347'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1667, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 295, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_472'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1668, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 295, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_473'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1669, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 295, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_474'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1670, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1267, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_241'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1671, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1267, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_249'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1672, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1267, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_473'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1673, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1267, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_255'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1674, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 298, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_231'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1675, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 298, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_232'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1676, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 301, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_383'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1677, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 299, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_383'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1678, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1268, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_384'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1681, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_011'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1682, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_012'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1683, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_013'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1684, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_014'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1685, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_015'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1686, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_020'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1687, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_021'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1688, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_022'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1689, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_025'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1690, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_026'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1691, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_060'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1692, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_061'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1693, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_062'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1694, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_063'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1695, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_065'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1696, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_066'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1697, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_060'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1698, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_061'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1699, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_062'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1700, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_063'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1701, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_065'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1702, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_069'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1703, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_071'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1704, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_072'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1705, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_073'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1706, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_074'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1707, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 194, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_075'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1708, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_080'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1709, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_081'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1710, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_082'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1711, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_085'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1712, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 203, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_086'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1713, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_120'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1714, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_123'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1715, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_124'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1716, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_192'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1717, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_193'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1718, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_194'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1719, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_195'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1720, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_196'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1721, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_190'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1722, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_191'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1723, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_194'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1724, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_195'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1725, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_196'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1726, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 1267, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_240'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1727, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_190'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1728, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_191'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1729, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_192'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1730, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_193'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1731, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_194'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1732, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_195'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1733, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 238, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_340'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1734, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 229, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_350'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1735, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 229, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_351'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1736, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 295, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_370'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1737, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 239, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_330'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1738, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 239, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_331'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1739, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 239, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_333'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1740, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 230, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_390'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1741, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 233, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_390'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1742, '2010-04-08 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 226, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_390'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1743, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 263, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_420'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1744, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 278, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_470'));
INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
 VALUES (1745, '2010-04-08 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 285, (select IdStdUcet from uStdUcty where uuid = 'SK_POD_480'));


-- konec slovenskeho bloku
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();


-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 289, 't');
