--------------------------------------------------------------------------------
-- Bug 24148 – [WinStrom] Pořadí výpočtu průměrné ceny
--------------------------------------------------------------------------------

alter table ustrediska add column ulice character varying(255);
alter table ustrediska add column mesto character varying(255);
alter table ustrediska add column psc character varying(255);
alter table ustrediska add column tel character varying(255);
alter table ustrediska add column mobil character varying(255);
alter table ustrediska add column fax character varying(255);
alter table ustrediska add column email character varying(255);
alter table ustrediska add column www character varying(255);
alter table ustrediska add column tisknout boolean DEFAULT false NOT NULL;
alter table ustrediska add column idstatu integer;

CREATE INDEX uStrediska_IdStatu_index ON uStrediska USING btree (IdStatu);

ALTER TABLE ONLY ustrediska
    ADD CONSTRAINT ustrediska_idstatu FOREIGN KEY (idstatu)
      REFERENCES astaty (idstatu) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 516, 't', %appVersion%, clock_timestamp());
