-------------------------------
-- Bug 43613 - Doplnit číselník států o domácí měnu 
-------------------------------

 create or replace function runupgrade()
   returns void as $$
 declare
   stat character varying(10);
 begin
   select a.uuid into stat from nnastav n 
     left join utyporg u on u.idtyporg = n.idtyporg
     left join astaty a on a.idstatu = u.idstatu
   order by coalesce(n.platioddata, '1900-01-01') desc limit 1;
 
   if (stat = 'CZ_CZ') then
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_AD';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_AUD') WHERE uuid = 'CZ_AU';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_BE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_BRL') WHERE uuid = 'CZ_BR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_BGN') WHERE uuid = 'CZ_BG';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_ME';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_CZK') WHERE uuid = 'CZ_CZ';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_HRK') WHERE uuid = 'CZ_HR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_CNY') WHERE uuid = 'CZ_CN';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_DKK') WHERE uuid = 'CZ_DK';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_EE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_FI';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_FR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_HKD') WHERE uuid = 'CZ_HK';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_IDR') WHERE uuid = 'CZ_ID';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_IE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_ISK') WHERE uuid = 'CZ_IS';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_IT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_JPY') WHERE uuid = 'CZ_JP';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_ZAR') WHERE uuid = 'CZ_ZA';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_CAD') WHERE uuid = 'CZ_CA';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_KRW') WHERE uuid = 'CZ_KR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_CY';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_CHF') WHERE uuid = 'CZ_LI';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_LT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_LV';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_LU';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_HUF') WHERE uuid = 'CZ_HU';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_MYR') WHERE uuid = 'CZ_MY';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_MT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_MXN') WHERE uuid = 'CZ_MX';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_DE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_NL';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_NOK') WHERE uuid = 'CZ_NO';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_NZD') WHERE uuid = 'CZ_NZ';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_PLN') WHERE uuid = 'CZ_PL';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_PT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_AT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_GR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_RON') WHERE uuid = 'CZ_RO';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_RUB') WHERE uuid = 'CZ_RU';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_SM';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_SGD') WHERE uuid = 'CZ_SG';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_SK';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_SI';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_ES';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_GBP') WHERE uuid = 'CZ_GB';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_USD') WHERE uuid = 'CZ_US';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_SEK') WHERE uuid = 'CZ_SE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_CHF') WHERE uuid = 'CZ_CH';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_THB') WHERE uuid = 'CZ_TH';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_TRY') WHERE uuid = 'CZ_TR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'CZ_EUR') WHERE uuid = 'CZ_MC';
   elseif (stat = 'SK_SK') then
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_AD';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_AUD') WHERE uuid = 'SK_AU';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_BE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_BGN') WHERE uuid = 'SK_BG';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_ME';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_CZK') WHERE uuid = 'SK_CZ';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_HRK') WHERE uuid = 'SK_HR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_DKK') WHERE uuid = 'SK_DK';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_EE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_FI';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_FR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_IE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_IT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_JPY') WHERE uuid = 'SK_JP';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_CAD') WHERE uuid = 'SK_CA';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_CY';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_CHF') WHERE uuid = 'SK_LI';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_LT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_LV';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_LU';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_HUF') WHERE uuid = 'SK_HU';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_MT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_DE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_NL';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_NOK') WHERE uuid = 'SK_NO';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_NZD') WHERE uuid = 'SK_NZ';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_PT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_AT';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_GR';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_SM';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_SK';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_SI';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_ES';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_GBP') WHERE uuid = 'SK_GB';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_USD') WHERE uuid = 'SK_US';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_SEK') WHERE uuid = 'SK_SE';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_CHF') WHERE uuid = 'SK_CH';
        UPDATE astaty SET idmeny = (select IdMeny from uMeny where uuid = 'SK_EUR') WHERE uuid = 'SK_MC';
   end if;

 end;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

alter table aStaty add column idMeny integer;

alter table aStaty
add CONSTRAINT aStaty_idmeny FOREIGN KEY (idmeny)
        REFERENCES umeny (idmeny)
        ON UPDATE NO ACTION ON DELETE NO ACTION;

 select runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 945, 't', %appVersion%, clock_timestamp());
