<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" xmlns:diffgr="urn:schemas-microsoft-com:xml-diffgram-v1" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" >

  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="NewDataSet">
    <winstrom version="1.0">
    <xsl:apply-templates select="Table"/>
    </winstrom>
  </xsl:template>

<!--
kategorie
  kod_kategorie
  nazev_kategorie
  podkategorie
    kod_podkategorie
    nazev_podkategorie
    
-->

  <xsl:template match="Table">
	<strom update="ignore">
		<id>ext:ATC-UZEL:<xsl:value-of select="kod_kategorie"/></id>
		<kod><xsl:value-of select="java:flexibee.Tool.toUpper(kod_kategorie)"/></kod>
		<nazev><xsl:value-of select="kod_kategorie"/></nazev>
		<poradi>2147483647</poradi>
	</strom>
	<strom>
		<id>ext:ATC-UZEL:<xsl:value-of select="kod"/></id>
		<kod><xsl:value-of select="java:flexibee.Tool.toUpper(kod)"/></kod>
		<nazev><xsl:value-of select="nazev"/></nazev>
		<poradi><xsl:value-of select="poradi"/></poradi>
		<otec>ext:ATC-UZEL:<xsl:value-of select="kod_kategorie"/></otec>
    	</strom>
  </xsl:template>
</xsl:stylesheet>
