<?xml version="1.0" encoding="utf-8" ?>
<!-- je třeba nastavit v csv u prvních dvou sloupečků aby se doplnili zepředu nulama (min 3 číslice v těchto sloupečcích) -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" >
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    <winstrom version="1.0">
      <xsl:apply-templates select="ucet"/>
    </winstrom>
  </xsl:template>

    <!--

	UCET,C,6
NAZEV,C,100
TYP,L
SALDO,L
RADEK,N,5,0
UCPREV,C,6
POZN,M
ZKRATOLD,C,10
SLAVEEXP,N,5,0
TYPOP,N,3,0
RADEKZKR,N,5,0
DRUHUCTU,N,3,0
UCETTYP,N,3,0
UCETPODTYP,N,3,0
VNITRO,L
TECHNICKY,L
OPRAVKY,L
DRUHCIN,N,3,0

    -->

  <xsl:template match="ucet">
  
    
      <ucet update="ignore">
        <id>code:<xsl:value-of select="UCET"/></id>
        <kod><xsl:value-of select="UCET"/></kod>
        <stdUcet>code:<xsl:value-of select="java:flexibee.Tool.padNumber(3,UCET)"/></stdUcet>
        <nazev><xsl:value-of select="NAZEV"/></nazev>
      </ucet>
    
    
  </xsl:template>
</xsl:stylesheet>