<#ftl encoding="utf-8" />
<#escape x as x?default("")?html>

<#include "template-sec1.ftl" />

<h1>Nová verze FlexiBee</h1>

<p class="green"><strong>Nové FlexiBee přináší revoluční změnu &ndash; webový přístup. Nyní lze k&nbsp;datům přistupovat nejen pomocí specializované aplikace a mobilního přístupu, ale i nově z&nbsp;webového prohlížeče.
</strong></p>

<h2>První webový ekonomický systém</h2>
<p>K&nbsp;ekonomickému systému FlexiBee lze nyní přistupovat i přes webový prohlížeč. Celé řešení je postavené na aplikačním serveru FlexiBee a je přímou součástí systému. Díky tomu se FlexiBee stává prvním ekonomickým systémem, který nabízí i bezplatnou verzi Start s&nbsp;webovým přístupem pro instalaci na vlastní server.</p>

<p><em>"Snažíme se naplnit naší vizi internetového ekonomického systému. A webový přístup je logickým krokem této snahy. Lze tak nyní využívat plnohodnotnou specializovanou aplikaci a zjednoduššený webový přístup."</em> řekl Petr Ferschmann, ředitel společnosti. <em>"A také díky tomuto kroku se náš produkt stává technologickým leaderem." </em></p>


<p>Webový přísup je součástí systému a využívá jeho aplikační server. Proto stejně jako otevřené programátorské rozhraní REST API je vždy aktuální s&nbsp;celým systémem a je jeho nedílnou součástí. Všechna logika systému je jednotná a jedná se pouze o alternativní uživatelské rozhraní.</p>

<h2>Seznam novinek</h2>
<p>Tato nová verze přináší mnoho novinek a oprav. Zde je jejich základní přehled:</p>
<ul>
    <li>Webové rozhraní.</li>
    <li>Podpora registračních pokladen EURO od společnosti ELCOM.</li>
    <li>Podpora bankovních výpisů Komerční banky ve formátu KB Best.</li>
    <li>Pokročilé aktivity</li>
    <li>Kontaktní a zodpovědná osoba</li>
    <li>Uložené dotazy</li>
    <li>Intrastat</li>
    <li>Pro účetní firmy možnost lepší práce s licencemi pro klienty.</li>
    <li>... a mnoho dalšího</li>
</ul>
<p><a href="http://www.flexibee.eu/produkty/flexibee/verze/10.14.0/">Úplný seznam změn...</a></p>


<h2>Jak aktualizovat</h2>
<p>Uživatelé služby <a href="http://www.flexibee.eu/aktualizace/zaruka/">záruka</a> si mohou <a href="http://www.flexibee.eu/produkty/flexibee/stazeni/">stáhnout</a> novou verzi a nainstalovat.</p>

<p>Při <a href="http://www.flexibee.eu/produkty/flexibee/stazeni/">stažení</a> vám bude nabídnuta správná verze pro váš operační systém a distribuci.</p>
<ul>
  <li><a href="http://www.flexibee.eu/produkty/flexibee/instalacni-prirucka/">Instalační příručka</a></li>
</ul>


<div style="float:right;padding:10px"><script type="text/javascript" src="http://www.flexibee.eu/static/js/download.js.php"></script></div>

<h2>O WinStrom s.r.o.</h2>
<p>WinStrom s.r.o. je výrobce ekonomických systémů WinStrom s&nbsp;tradicí od roku 1991. </p>
<p><a href="http://www.flexibee.eu/firma/kontakty/">Kontakty</a> a <a href="http://www.flexibee.eu/firma/pro-novinare/">informace pro novináře...</a></p>

<#include "template-sec2.ftl" />
<#include "template-side-free.ftl" />
<#include "template-sec3.ftl" />
<#include "template-sec5.ftl" />

</#escape>