CREATE OR REPLACE FUNCTION ddoklobchrealizovatelnost()
  RETURNS trigger AS $$
begin
  if (NEW.modul in ('PPP', 'NAV', 'OBP')) then
    NEW.procReal := obchodrealizovatelnost(NEW.idDoklObch);
  end if;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;

CREATE TRIGGER ddoklobchrealizovatelnost BEFORE UPDATE ON ddoklobch
  FOR EACH ROW EXECUTE PROCEDURE ddoklobchrealizovatelnost();
