CREATE OR REPLACE FUNCTION dpolintupdatezauctovano()
  RETURNS trigger AS $$
declare
  _idPolDokl integer;
  _zuctovano boolean;
begin
  select isDokladZuctovan(NEW.idDoklInt, 'Int') into _zuctovano;
  
  update ddoklint set zuctovano = _zuctovano where idDoklInt = NEW.idDoklInt and zuctovano <> _zuctovano;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION dpolintupdatezauctovano() OWNER TO %firmaRole%;

CREATE TRIGGER dpolintupdatezauctovano AFTER UPDATE ON dpolint
  FOR EACH ROW EXECUTE PROCEDURE dpolintupdatezauctovano();
