CREATE OR REPLACE FUNCTION dpolobchrealizovatelnost()
  RETURNS trigger AS $$
declare
  ZAZNAM record;
begin
  if (tg_op = 'DELETE') then  
    ZAZNAM := OLD;  
  else  
    ZAZNAM := NEW;  
  end if;
  
  if (ZAZNAM.modul in ('PPP', 'NAV', 'OBP')) then
    update ddoklobch SET procReal=obchodrealizovatelnost(ZAZNAM.idDoklObch) WHERE iddoklobch=ZAZNAM.idDoklObch;
  end if;
  
  return ZAZNAM;
end;
$$ LANGUAGE plpgsql;

CREATE TRIGGER dpolobchrealizovatelnost AFTER INSERT OR UPDATE OR DELETE ON dpolobch
  FOR EACH ROW EXECUTE PROCEDURE dpolobchrealizovatelnost();
