/**
 * pricte obrat odpisu v tabulce uObraty
 * 
 * @author jdrahos
 */
create or replace function mMajetekInsertUcto() returns trigger as $$
begin
  -- odpisy majetku jsou vedeny vzdy v mistni mene, proto za menu
  -- dosazujeme -1 a za sumZklMen 0.0
  execute createOrUpdateObraty(NEW.Ucetni, false, NEW.DatUcto, NEW.idZklMdUcet, NEW.idZklDalUcet,
        -1, NEW.idStred, NEW.sumZkl, 0.0);

  return NEW;
end;
$$ LANGUAGE plpgsql;

drop trigger if exists mOdpisInsertUcto on mdanodpisy;
drop trigger if exists mOdpisInsertUcto on mucetodpisy;
drop trigger if exists mMajetekInsertUcto on mdanodpisy;
drop trigger if exists mMajetekInsertUcto on mucetodpisy;
drop trigger if exists mMajetekInsertUcto on mudalosti;

create trigger mMajetekInsertUcto before insert on mdanodpisy
for each row execute procedure mMajetekInsertUcto();

create trigger mMajetekInsertUcto before insert on mucetodpisy
for each row execute procedure mMajetekInsertUcto();

create trigger mMajetekInsertUcto before insert on mudalosti
for each row execute procedure mMajetekInsertUcto();