/**
 * pricte obrat splatkoveho kalendare v tabulce uObraty
 * 
 * @author jdrahos
 */
create or replace function mSplatKalInsert() returns trigger as $$
declare
    mena integer;
begin
  select leasing.idMeny into mena from mleasing leasing where NEW.idleasing = leasing.idleasing;

  execute createOrUpdateObraty(NEW.Ucetni, false, NEW.DatUcto, NEW.idZklMdUcet, NEW.idZklDalUcet,
        mena, NEW.idStred, NEW.sumZkl, NEW.sumZklMen);

  execute createOrUpdateObraty(NEW.Ucetni, false, NEW.DatUcto, NEW.idDphMdUcet, NEW.idDphDalUcet,
        mena, NEW.idStred, NEW.sumDph, NEW.sumDphMen);

  return NEW;
end;
$$ LANGUAGE plpgsql;


drop trigger if exists mSplatKalInsert on msplatkal;

create trigger mSplatKalInsert before insert on msplatkal
for each row execute procedure mSplatKalInsert();