/*
 Za pocte na skladovou kartu vsechny polozky skladovych dokladu pro danou kartu od urciteho data
 Autor verze pro PostgreSQL: Pavel Cvrcek
 Autor verze pro Sybase:     Karel Běl
*/

CREATE OR REPLACE FUNCTION szapoctipolozkyoddata(i_skladkartaid integer, i_datum date, i_polSkladId integer)
  RETURNS void AS
$BODY$ 
declare 
  zaznam Record; 
begin 
  for zaznam in select * from dPolSklad where ((DatVyst > i_Datum) or (DatVyst = i_Datum and idPolSklad > i_polSkladId))
  and idKarty = i_SkladKartaId order by DatVYst asc LOOP
    execute sZmenCenyNaPolSklad(zaznam.idPolSklad, i_SkladKartaId, zaznam.iddoklsklad); 
    execute sPrepoctiSkladKartu(zaznam.MnozMJ,zaznam.CenaMj,zaznam.DatVyst,zaznam.idKarty,zaznam.idDoklSklad,zaznam.idSkladu,1); 
  end loop; 
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;