CREATE OR REPLACE view act_id_group AS
select kod as id_, 0 as rev_, nazev as name_, text 'assignment' as type_ from wactskupina where typrolek = 'typRole.glo';

ALTER TABLE act_id_group OWNER TO %firmaRole%;

CREATE OR REPLACE view act_id_membership AS
select wactskupina.kod as group_id_, wuzivatel.kod as user_id_ from wactclenstvi inner join wuzivatel on wuzivatel.iduzivatel = wactclenstvi.iduzivatel inner join wactskupina on wactskupina.idactskupina = wactclenstvi.idactskupina where wactskupina.typrolek = 'typRole.glo';

ALTER TABLE act_id_membership OWNER TO %firmaRole%;


CREATE OR REPLACE view act_id_user AS
select kod as id_, 0 as rev_, jmeno as first_, prijmeni as last_, email as email_, text '' as pwd_, text '' as picture_id_ from wuzivatel;

ALTER TABLE act_id_user OWNER TO %firmaRole%;

create table ACT_ID_INFO (
    ID_ varchar(64),
    REV_ integer,
    USER_ID_ varchar(64),
    TYPE_ varchar(64),
    KEY_ varchar(255),
    VALUE_ varchar(255),
    PASSWORD_ bytea,
    PARENT_ID_ varchar(255),
    primary key (ID_)
);

