-- Function: sfifostorno(integer, integer)
-- DROP FUNCTION sfifostorno(integer, integer);
CREATE OR REPLACE FUNCTION sfifostorno(idpohyb integer, iddokl integer)
  RETURNS void AS
$BODY$   
declare   
	_typPohybuk character varying(255); 
         _pouzitaPrijemka integer; 
begin   
	select typpohybuk into _typPohybuk from ddoklsklad where iddoklsklad = iddokl;	 
	if (_typPohybuk = 'typPohybu.vydej') then 
         	--pokud výdej, tak vymau fifo vazby 
		delete from sfifovazby where idpolskladvydej = idpohyb; 
         else 
	    	--pokud se stornuje prijemka, tak jen pokud neni ve fifo vazbách		         	  
                 select Count(*) into _pouzitaPrijemka from sfifovazby where idpolskladprijem = idpohyb;  
                 if (_pouzitaPrijemka > 0) then 
                 	raise exception '0006:Nelze STORNOVAT příjemku ze které již čerpá výdejka !!!!'; 
                 end if;          
         end if; 
end;   
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION sfifostorno(integer, integer) OWNER TO %firmaRole%;

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 104, 't');