alter table dpolsklad add column idcenhlad integer;
alter table dpolfak add column idcenhlad integer;
alter table dpolint add column idcenhlad integer;
alter table dpolobch add column idcenhlad integer;

CREATE INDEX dPolFak_IdCenHlad_index ON dPolFak USING btree (IdCenHlad);
CREATE INDEX dPolInt_IdCenHlad_index ON dPolInt USING btree (IdCenHlad);
CREATE INDEX dPolObch_IdCenHlad_index ON dPolObch USING btree (IdCenHlad);
CREATE INDEX dPolSklad_IdCenHlad_index ON dPolSklad USING btree (IdCenHlad);

ALTER TABLE ONLY dpolfak
    ADD CONSTRAINT dpolfak_idcenhlad FOREIGN KEY (idcenhlad) REFERENCES ccenhlad(idcenhlad);
ALTER TABLE ONLY dpolint
    ADD CONSTRAINT dpolint_idcenhlad FOREIGN KEY (idcenhlad) REFERENCES ccenhlad(idcenhlad);
ALTER TABLE ONLY dpolobch
    ADD CONSTRAINT dpolobch_idcenhlad FOREIGN KEY (idcenhlad) REFERENCES ccenhlad(idcenhlad);
ALTER TABLE ONLY dpolsklad
    ADD CONSTRAINT dpolsklad_idcenHlad FOREIGN KEY (idcenhlad) REFERENCES ccenhlad(idcenhlad);

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 124, 't');
