-- Bug 14309 – [WinStrom] Ceník - Texty, Soubory
-- umoznit pripojovat prilohy k ceniku
-------------------------------------------------

alter table wpriloha add column idcenik integer;

alter table wpriloha add CONSTRAINT wpriloha_idcenik FOREIGN KEY (idcenik)
        REFERENCES ccenik(idcenik) MATCH SIMPLE
        ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX wPriloha_IdDoklFak_index ON wPriloha USING btree (IdDoklFak);
CREATE INDEX wPriloha_IdDoklInt_index ON wPriloha USING btree (IdDoklInt);
CREATE INDEX wPriloha_IdDoklObch_index ON wPriloha USING btree (IdDoklObch);
CREATE INDEX wPriloha_IdDoklSklad_index ON wPriloha USING btree (IdDoklSklad);
CREATE INDEX wPriloha_IdNastav_index ON wPriloha USING btree (IdNastav);
CREATE INDEX wPriloha_IdCenik_index ON wPriloha USING btree (IdCenik);
CREATE INDEX wPriloha_IdUziv_index ON wPriloha USING btree (IdUziv);
CREATE INDEX wPriloha_IdData_index ON wPriloha USING btree (IdData);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 153, 't');
