--------------------------------------------------------------------------------
-- Bug 17557 – [WinStrom] Aktualizace kalkulačky na rok 2010
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek
UPDATE pcismzdsloz SET typslozkyk = 'typSlozky.vypocet' WHERE IdCisMzdSloz = 135;
UPDATE pmzdsloz SET typslozkyk = 'typSlozky.vypocet' WHERE IdCisMzdSloz = 135;

-- update radek kalkulacky
UPDATE pmzdcalc SET cisrad = 337 WHERE IdMzdCalc = 423;
UPDATE pmzdcalc SET cisrad = 336 WHERE IdMzdCalc = 430;
UPDATE pmzdcalc SET cisrad = 338 WHERE IdMzdCalc = 436;
UPDATE pmzdcalc SET nazev = 'Náhráda za svátek', idmzdslozin = 21 WHERE IdMzdCalc = 479;
UPDATE pmzdcalc SET polein = 'hodinySvatek;dnySvatek', poleout = 'hodinySvatek;dnySvatek' WHERE IdMzdCalc = 510;

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 242, 't');
