--------------------------------------------------------------------------------
-- Bug 19238 – [winstrom] - 14. Typy dokladů – možnost nastavit chování před vystavením dokladu:
--------------------------------------------------------------------------------

-- doplneni sloupcu do nastaveni
ALTER TABLE nnastav ADD COLUMN jakytypfavk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypphlk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypfapk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypzavk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypintk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytyppppk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypnavk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypobpk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypppvk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypnapk character varying(50);
ALTER TABLE nnastav ADD COLUMN jakytypobvk character varying(50);

-- doplneni sloupce do typu dokladu
ALTER TABLE dtypdokl ADD COLUMN primarni boolean DEFAULT false NOT NULL;

-- nastaveni primarnich typu dokladu pro ceske podnikatele
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_FAV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_FAP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_PHL_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_ZAV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_INT_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_NAP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_NAV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_OBP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_OBV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_PPP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_POD_PPV_STD';
-- pro rozpoctovky
UPDATE dtypdokl SET primarni = true WHERE uuid = 'CZ_ROZ_INT_STD';
-- pro slovaky
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_FAV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_FAP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_PHL_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_ZAV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_INT_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_NAP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_NAV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_OBP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_OBV_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_PPP_STD';
UPDATE dtypdokl SET primarni = true WHERE uuid = 'SK_POD_PPV_STD';

--uprava nastaveni
UPDATE nnastav SET jakytypfavk = 'jakyTypDokl.posledni', jakytypphlk = 'jakyTypDokl.posledni', jakytypfapk = 'jakyTypDokl.posledni', 
  jakytypzavk = 'jakyTypDokl.posledni', jakytypintk = 'jakyTypDokl.posledni', jakytyppppk = 'jakyTypDokl.posledni', jakytypnavk = 'jakyTypDokl.posledni', 
  jakytypobpk = 'jakyTypDokl.posledni', jakytypppvk = 'jakyTypDokl.posledni', jakytypnapk = 'jakyTypDokl.posledni', jakytypobvk = 'jakyTypDokl.posledni';

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 314, 't');
