-------------------------------------------------------------------------
-- Bug 20060 – [WinStrom] Přidat do nastavení možnost zadat EAN firmy
-- + nastaveni typu dokladu pro automatickou generaci - objednavka prijata pro EDI
-------------------------------------------------------------------------

ALTER TABLE nnastav ADD COLUMN eankod character varying(20);
ALTER TABLE nnastav ADD COLUMN idtdobobpEdi integer;

CREATE INDEX nnastav_idtdobobpEdi_index ON nnastav USING btree (idtdobobpEdi);

ALTER TABLE ONLY nnastav
    ADD CONSTRAINT nastav_tdobobpEdi_vazba FOREIGN KEY (idtdobobpEdi) REFERENCES dtypdokl(idtypdokl);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 350, 't');
