--------------------------------------------------------------------------------
-- Bug 21625 – [WinStrom] Slovensko: Změna sazeb DPH k 1.1.2011
--------------------------------------------------------------------------------

UPDATE usazbydph SET platidodata = '2010-12-31' WHERE uuid = 'SK_19_2004';

create or replace function runupgrade() returns void as $$
declare
  pom integer;
  _idstatu integer;
begin
  select idstatu into _idstatu from astaty where uuid like '%_SK';

  select count(*) into pom from usazbydph where typSzbDphK = 'typSzbDph.dphZakl' and szbdph = 20.00 and idstatu = _idstatu
    and (platidodata is null or platidodata > '2010-12-31');

  if (pom = 0) then
    INSERT INTO usazbydph (lastupdate, typszbdphk, szbdph, platioddata, idstatu, uuid)
      VALUES ('2010-12-22 00:00:00.000', 'typSzbDph.dphZakl', 20.0, '2011-01-01', (select IdStatu from aStaty where uuid like '%_SK'), 'SK_20_2011');
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 405, 't');
