--------------------------------------------------------------------------------
-- Bug 24745 – [WinStrom] Umožnit zakázat generovat požadavky na výdej
--------------------------------------------------------------------------------

alter table nnastav add column sklGenerovatPozadavky boolean not null default false;

CREATE OR REPLACE FUNCTION daapolskladinsertmnozmj()
  RETURNS trigger AS
$BODY$ 
declare 
  _stavSkladu numeric(19,6);
  _typPohybuK character varying;
  _stavSkladK character varying;
  _sklGenerovatPozadavky boolean;
begin
  select sklgenerovatpozadavky into _sklGenerovatPozadavky from nNastav where NEW.datVyst >= PlatiOdData order by PlatiOdData desc limit 1; 
  if (_sklGenerovatPozadavky is null) then 
        select sklgenerovatpozadavky into _sklGenerovatPozadavky from nNastav where PlatiOdData is null limit 1;  
  end if; 

  NEW.mnozMjPlan = NEW.mnozMj;

  if (_sklGenerovatPozadavky) then
    select typPohybuK into _typPohybuK from ddoklsklad where iddoklsklad = NEW.idDoklSklad;
    -- TODO Doplnit  
    select dgetstavnasklade(NEW.idKarty, NEW.datVyst, -1, null, null, _typPohybuK) into _stavSkladu;
  
    --raise exception '% % %', _typPohybuK, NEW.mnozMj, _stavSkladu;
    if(_typPohybuK = 'typPohybu.vydej' and NEW.mnozMj > _stavSkladu) then
      NEW.mnozMj = 0.0;
    
      select stavSkladK into _stavSkladK from ddoklsklad where idDoklSklad = NEW.idDoklSklad;
      if(compareVarchar(_stavSkladK, 'stavSklad.vygenFakt')) then
        update ddoklsklad set stavSkladK = 'stavSklad.vygenFaktNeuplny' where idDoklSklad = NEW.idDoklSklad;
      end if;
      if(compareVarchar(_stavSkladK, 'stavSklad.vygenPokl')) then
        update ddoklsklad set stavSkladK = 'stavSklad.vygenPoklNeuplny' where idDoklSklad = NEW.idDoklSklad;
      end if;
    end if;
  end if;
  
  return NEW;
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION daapolskladinsertmnozmj() OWNER TO %firmaRole%;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 511, 't', %appVersion%, clock_timestamp());
