--------------------------------------------------------------------------------
-- Bug 35131 – [FlexiBee] Přidat štítky do uživatelů
--------------------------------------------------------------------------------

CREATE TABLE wkli_wuzivatel (
    iduzivatel integer NOT NULL,
    idvybklic integer NOT NULL,

    CONSTRAINT wkli_wuzivatel_pkey PRIMARY KEY (iduzivatel, idvybklic),
    CONSTRAINT wkli_wuzivatel_iduzivatel FOREIGN KEY (iduzivatel)
      REFERENCES wuzivatel (iduzivatel) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
    CONSTRAINT wkli_wuzivatel_idvybklic FOREIGN KEY (idvybklic)
        REFERENCES wvybklice(idvybklice) MATCH SIMPLE
        ON UPDATE NO ACTION ON DELETE NO ACTION
);
ALTER TABLE public.wkli_wuzivatel OWNER TO %firmaRole%;

CREATE INDEX wkli_wuzivatel_iduzivatel_index ON wkli_wuzivatel USING btree (iduzivatel);
CREATE INDEX wkli_wuzivatel_idvybklic_index ON wkli_wuzivatel USING btree (idvybklic);

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 756, 't', %appVersion%, clock_timestamp());
