--------------------------------------------------------------------------------
-- Bug none: Vytvoření definic dashboardů
--------------------------------------------------------------------------------

INSERT INTO wdashboardpanel(
    kod,
    nazev,
    popis,
    definition,
    visibilityk,
    priority)
VALUES (
    'DEFAULT-STATUS',
    'Základní přehled',
    'Zobrazuje základní přehled o firmě',
    $json$[
        {
            "id": "Settings",
            "component": "CxDashboardSettings",
            "componentProps": {
                "selectedDateRange": "-11m..m"
            }
        },
        {
            "id": "CxDashboardRevenueCostChart1",
            "header": "",
            "description": "",
            "grid": {
                "lg": {
                    "x": 0,
                    "y": 0,
                    "w": 16,
                    "h": 24,
                    "static": false
                },
                "md": {
                    "x": 0,
                    "y": 0,
                    "w": 16,
                    "h": 24,
                    "static": false
                },
                "sm": {
                    "x": 0,
                    "y": 0,
                    "w": 8,
                    "h": 24,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 0,
                    "w": 6,
                    "h": 24,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 0,
                    "w": 1,
                    "h": 24,
                    "static": false
                }
            },
            "component": "CxDashboardRevenueCostChart",
            "componentProps": {}
        },
        {
            "id": "CxDashboardBankKPITable1",
            "header": "",
            "description": "",
            "grid": {
                "lg": {
                    "x": 16,
                    "y": 0,
                    "w": 8,
                    "h": 8,
                    "static": false
                },
                "md": {
                    "x": 16,
                    "y": 0,
                    "w": 8,
                    "h": 8,
                    "static": false
                },
                "sm": {
                    "x": 8,
                    "y": 0,
                    "w": 4,
                    "h": 8,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 24,
                    "w": 2,
                    "h": 8,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 24,
                    "w": 1,
                    "h": 8,
                    "static": false
                }
            },
            "component": "CxDashboardBankKPITable",
            "componentProps": {}
        },
        {
            "id": "CxDashboardCashDeskKPITable1",
            "header": "",
            "description": "",
            "grid": {
                "lg": {
                    "x": 16,
                    "y": 8,
                    "w": 8,
                    "h": 8,
                    "static": false
                },
                "md": {
                    "x": 16,
                    "y": 8,
                    "w": 8,
                    "h": 8,
                    "static": false
                },
                "sm": {
                    "x": 8,
                    "y": 8,
                    "w": 4,
                    "h": 8,
                    "static": false
                },
                "xs": {
                    "x": 2,
                    "y": 24,
                    "w": 2,
                    "h": 8,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 32,
                    "w": 1,
                    "h": 8,
                    "static": false
                }
            },
            "component": "CxDashboardCashDeskKPITable",
            "componentProps": {}
        },
        {
            "id": "CxDashboardStockLevelKPITable1",
            "header": "",
            "description": "",
            "grid": {
                "lg": {
                    "x": 16,
                    "y": 16,
                    "w": 8,
                    "h": 8,
                    "static": false
                },
                "md": {
                    "x": 16,
                    "y": 16,
                    "w": 8,
                    "h": 8,
                    "static": false
                },
                "sm": {
                    "x": 8,
                    "y": 16,
                    "w": 4,
                    "h": 8,
                    "static": false
                },
                "xs": {
                    "x": 4,
                    "y": 24,
                    "w": 2,
                    "h": 8,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 40,
                    "w": 1,
                    "h": 8,
                    "static": false
                }
            },
            "component": "CxDashboardStockLevelKPITable",
            "componentProps": {}
        },
        {
            "id": "CxDashboardReceivablesTable1",
            "header": "",
            "description": "",
            "grid": {
                "lg": {
                    "x": 0,
                    "y": 24,
                    "w": 12,
                    "h": 20,
                    "static": false
                },
                "md": {
                    "x": 0,
                    "y": 24,
                    "w": 12,
                    "h": 20,
                    "static": false
                },
                "sm": {
                    "x": 0,
                    "y": 24,
                    "w": 6,
                    "h": 20,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 32,
                    "w": 6,
                    "h": 20,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 48,
                    "w": 1,
                    "h": 20,
                    "static": false
                }
            },
            "component": "CxDashboardReceivablesTable",
            "componentProps": {}
        },
        {
            "id": "CxDashboardPayablesTable1",
            "header": "",
            "description": "",
            "grid": {
                "lg": {
                    "x": 12,
                    "y": 24,
                    "w": 12,
                    "h": 20,
                    "static": false
                },
                "md": {
                    "x": 12,
                    "y": 24,
                    "w": 12,
                    "h": 20,
                    "static": false
                },
                "sm": {
                    "x": 6,
                    "y": 24,
                    "w": 6,
                    "h": 20,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 52,
                    "w": 6,
                    "h": 20,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 68,
                    "w": 1,
                    "h": 20,
                    "static": false
                }
            },
            "component": "CxDashboardPayablesTable",
            "componentProps": {}
        }
	]$json$,
    'dashboardPanelVisibility.shared-all',
    10);

INSERT INTO wdashboardpanel(
    kod,
    nazev,
    popis,
    definition,
    visibilityk,
    priority)
VALUES (
    'DEFAULT-ANALYTIC',
    'Analytický přehled',
    'Zobrazuje příklady analytických grafů',
    $json$[
        {
            "id": "CxDashboardSelector1",
            "header": "",
            "description": "",
            "grid": {
                "lg": {
                    "x": 0,
                    "y": 0,
                    "w": 24,
                    "h": 3,
                    "static": false
                },
                "md": {
                    "x": 0,
                    "y": 0,
                    "w": 24,
                    "h": 3,
                    "static": false
                },
                "sm": {
                    "x": 0,
                    "y": 0,
                    "w": 12,
                    "h": 7,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 0,
                    "w": 6,
                    "h": 9,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 0,
                    "w": 1,
                    "h": 9,
                    "static": false
                }
            },
            "component": "CxDashboardSelector",
            "componentProps": {
                "settingsKey": "CxDashboardSelector1-1",
                "dateRanges": ["y", "fy", "-6m..-1m", "-1y", "-1fy", "-3y..-1y"],
                "selectedDateRange": "y",
                "maxVisibleButtons": 2
            }
        },
        {
            "id": "analytical_assets_default",
            "header": {"code": "analytical_assets_default"},
            "description": "",
            "grid": {
                "lg": {
                    "x": 0,
                    "y": 3,
                    "w": 24,
                    "h": 25,
                    "static": false
                },
                "md": {
                    "x": 0,
                    "y": 3,
                    "w": 24,
                    "h": 25,
                    "static": false
                },
                "sm": {
                    "x": 0,
                    "y": 7,
                    "w": 12,
                    "h": 21,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 9,
                    "w": 6,
                    "h": 20,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 9,
                    "w": 1,
                    "h": 20,
                    "static": false
                }
            },
            "component": "CxDashboardAccountsAnalysisCustomizableChart",
            "componentProps": {
                "height": "600px",
                "settingsKey": "analytical_assets_default",
                "accountsExpressions": [
                    {"expression": "2", "label": {"code": "funds"}},
                    {"expression": "0", "label": {"code": "investment"}},
                    {"expression": "1", "label": {"code": "reserves"}},
                    {"expression": "31", "label": {"code": "business_receivables"}},
                    {"expression": "3a-31", "label": {"code": "other_receivables"}}
                ],
                "field": "finalBalance"
            }
        },
        {
            "id": "analytical_liabilities_default",
            "header": {"code": "analytical_liabilities_default"},
            "description": "",
            "grid": {
                "lg": {
                    "x": 0,
                    "y": 28,
                    "w": 24,
                    "h": 25,
                    "static": false
                },
                "md": {
                    "x": 0,
                    "y": 28,
                    "w": 24,
                    "h": 25,
                    "static": false
                },
                "sm": {
                    "x": 0,
                    "y": 28,
                    "w": 12,
                    "h": 21,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 29,
                    "w": 6,
                    "h": 20,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 29,
                    "w": 1,
                    "h": 20,
                    "static": false
                }
            },
            "component": "CxDashboardAccountsAnalysisCustomizableChart",
            "componentProps": {
                "height": "600px",
                "settingsKey": "analytical_liabilities_default",
                "accountsExpressions": [
                    {"expression": "4", "label": {"code": "own_assets"}},
                    {"expression": "46", "label": {"code": "loans"}},
                    {"expression": "32", "label": {"code": "business_liabilities"}},
                    {"expression": "3p-32", "label": {"code": "other_liabilities"}}
                ],
                "field": "finalBalance"
            }
        },
        {
            "id": "analytical_profits_and_costs_default",
            "header": { "code": "analytical_profits_and_costs_default" },
            "description": "",
            "grid": {
                "lg": {
                    "x": 0,
                    "y": 53,
                    "w": 24,
                    "h": 25,
                    "static": false
                },
                "md": {
                    "x": 0,
                    "y": 53,
                    "w": 24,
                    "h": 25,
                    "static": false
                },
                "sm": {
                    "x": 0,
                    "y": 49,
                    "w": 12,
                    "h": 21,
                    "static": false
                },
                "xs": {
                    "x": 0,
                    "y": 49,
                    "w": 6,
                    "h": 20,
                    "static": false
                },
                "xxs": {
                    "x": 0,
                    "y": 49,
                    "w": 1,
                    "h": 19,
                    "static": false
                }
            },
            "component": "CxDashboardAccountsAnalysisTopChart",
            "componentProps": {
                "height": "600px",
                "settingsKey": "analytical_top_active_passive",
                "accountsExpressions": ["5xx", "6xx"],
                "topAccountsCount": 4,
                "field": "difference"
            }
        }
	]$json$,
    'dashboardPanelVisibility.shared-all',
    20);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 947, 't', %appVersion%, clock_timestamp());
