<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:template match="/Root">
        <winstrom version="1.0">
            <xsl:apply-templates select="Účetní_osnova"/>
        </winstrom>
    </xsl:template>

    <xsl:template match="/Účetní_osnova">
        <winstrom version="1.0">
            <xsl:apply-templates select="Účetní_osnova"/>
        </winstrom>
    </xsl:template>

<!--
.\flexibee2xml.exe -t adresar.in.xslt -x adresar.out.xml -o vystup.xml 2>a.out
kod, nazev
-->

    <xsl:template match="Účetní_osnova">
        <xsl:if test="java:flexibee.Tool.trim(Účet) != ''">
            <ucet>
                <xsl:choose>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)) = 0">
                        <id>ext:4DD-UCET:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>001</id>
                        <id>code:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>001</id>
                        <kod><xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>001</kod>
                    </xsl:when>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)) = 1">
                        <id>ext:4DD-UCET:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>00<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></id>
                        <id>code:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>00<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></id>
                        <kod><xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>00<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></kod>
                    </xsl:when>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)) = 2">
                        <id>ext:4DD-UCET:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>0<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></id>
                        <id>code:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>0<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></id>
                        <kod><xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/>0<xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></kod>
                    </xsl:when>
                    <xsl:when test="string-length(java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)) = 3">
                        <id>ext:4DD-UCET:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/><xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></id>
                        <id>code:<xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/><xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></id>
                        <kod><xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/><xsl:value-of select="java:flexibee.Tool.substring(java:flexibee.Tool.trim(Účet), 4)"/></kod>
                    </xsl:when>
                    <xsl:otherwise>
                    </xsl:otherwise>
                </xsl:choose>
                <nazev><xsl:value-of select="java:flexibee.Tool.trim(Název_účtu)"/></nazev>
                <stdUcet><xsl:value-of select="java:flexibee.Tool.substring(Účet, 0, 3)"/></stdUcet>
                <poznam><xsl:value-of select="Poznámka"/></poznam>
            </ucet>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>
